Installazione di sarge

Debian GNU/Linux 3.1 è stato sostituito da Debian GNU/Linux 4.0 (etch). Alcune delle immagini per l'installazione potrebbero non essere disponibili oppure potrebbero non funzionare; si raccomanda l'installazione di etch.

Per installare Debian GNU/Linux 3.1r8 (sarge), scaricare una delle seguenti immagini:

Immagine del CD netinst per l'installazione via rete (100 MB)

Immagine del CD businesscard per l'installazione via rete (50 MB)

Altre immagini (netboot, chiavetta USB, eccetera)

Documentazione

Volendo leggere un solo documento per l'installazione è meglio scegliere l'Installation Howto, una rapida guida passo-passo del processo di installazione. Altri documenti utili sono:

Errata

Questo è l'elenco dei problemi conosciuti dell'installatore rilasciato insieme a Debian GNU/Linux 3.1r8. Se si riscontrano dei problemi con l'installazione di Debian che non sono elencati in questa pagina si invii un resoconto d'installazione in cui si descrive il problema oppure verificare che non sia già presente su wiki.

Errata del rilascio 3.1r8

Nessuna modifica rispetto al rilascio 3.1r7.

Errata del rilascio 3.1r7

Il problema del rilascio 3.1r6 relativo all'installazione di oldstable dai mirror in rete è stato risolto. Tutti i CD e le altre immagini per l'installazione del rilascio 3.1r7 supportano di nuovo l'installazione di Sarge.

L'installazione del task Ambiente desktop potrebbe fallire durante l'installazione da un CD completo. Questo è dovuto al fatto che OpenOffice non è incluso nel primo CD e che alcuni aggiornamenti relativi la sicurezza per openoffice.org sono disponibili dai mirror per la sicurezza.
Il problema può essere evitato utilizzando l'opzione selezione manuale dei pacchetti durante la scelta del task desktop in modo che aptitude mostri i pacchetti da installare. Trovare il pacchetto openoffice.org-bin e deselezionarlo con il tasto -, poi proseguire con l'installazione premendo il tasto g.
Il problema può essere evitato anche aggiungendo un mirror in rete oppure facendo la scansione del secondo CD completo durante la configurazione di Apt.

Errata del rilascio 3.1r6

Il problema di selezione del kernel presente nel rilascio 3.1r5 è stato risolto.

Visto che Sarge non è più la distribuzione stable, adesso è la oldstable, l'installatore non riesce a reperire correttamente i pacchetti dai mirror in rete. In particolare questo problema affligge le installazioni che usano un mirror prima del riavvio, per esempio le immagini netboot e businesscard. È ancora possibile installare Sarge con le immagini netinst o con le immagini complete di CD e DVD a patto di modificare manualmente il file /etc/apt/sources.list in modo da assicurarsi che tutte le sorgenti relative ai mirror in rete puntino a sarge e non a stable prima di procedere con l'installazione dei pacchetti. In pratica questo problema implica che non è possibile usare un mirror in rete durante l'installazione!

Errata del rilascio 3.1r5

Su quattro architetture l'Installatore può scegliere un kernel non adatto al proprio sistema, le architetture afflitte da questo problema sono: i386, hppa, ia64 e s390.
Si può aggirare questo sistema passando all'Installatore il parametro d'avvio debconf/priority=medium. Questo comporta la visualizzazione dell'elenco di tutti i kernel disponibili, dal quale si può scegliere la variante più adatta al proprio sistema.

Errata del rilascio 3.1r4

La release 3.1r4 non contiene aggiornamenti all'Installatore, l'unico problema relativo all'Installatore risolto in questa release è quello introdotto con la release 3.1r3 su sparc32. Le note seguenti, che si riferiscono alla release 3.1r3, continuano a essere valide.

Errata del rilascio 3.1r3

Oltre alle errata valide per la versione 3.1r0 di Sarge elencate in seguito, con l'aggiornamento alla versione 3.1r3 dell'Installatore si aggiungono i seguenti problemi (le release r1 e r2 non includono aggiornamenti per l'Installatore).

A causa dell'aggiornamento del kernel alcune delle immagini dell'Installatore originariamente rilasciate con Sarge 3.1r0 non funzionano più perché la versione del kernel con cui viene avviato l'Installatore è diversa da quella contenuta negli udeb che sono scaricati in seguito. Sono afflitte da questo problema tutti i metodi d'installazione che scaricano gli udeb dalla rete, per esempio le installazioni da floppy e da rete. Le immagini dell'installatore aggiornate funzionano correttamente.
Le installazioni da CD non sono afflitte, quindi è possibile continuare a usare le immagini dei CD/DVD per le precedenti versioni di Sarge.

Errata del rilascio 3.1r0

Delle versioni migliorate del sistema di installazione sono in sviluppo per la prossima release Debian e possono essere usate anche per installare sarge. Per i dettagli si consulti la pagina dell'Installatore Debian.

L'Installatore per le persone cieche – speakup

Debian fornisce per la sola architettura i386 una serie speciale di immagini di dischetti per l'installazione con supporto per i display braille, un elenco di tutti i modelli supportati può essere trovato nella documentazione di brltty.